    The XSPEC zigm model: UV/Optical attenuation by the intergalactic medium.

xszigm
The xszigm model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xszigm", "mdl")
>>> print(mdl)

Create a component of the xszigm model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.redshift frozen 0 -3.40282e+38 3.40282e+38 mdl.model frozen 0 -3.40282e+38 3.40282e+38 mdl.lyman_limit frozen 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
redshift
The redshift of the absorber. This parameter can not be thawed.
model
The model to use: 0 is Madau, 1 is Meiksin. This parameter can not be thawed.
lyman_limit
Should photoelectric absorption be included (1), or not (0). This parameter can not be thawed.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelZigm.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023